package com.muyu.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：qdm
 * @Package：com.muyu.domain
 * @Project：cloud-etl-engine
 * @name：JavaClass
 * @Date：2024/9/3 19:04
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class JavaClass {
    /**
     * 主键
     */
    private Integer id;
    /**
     * 姓名
     */
    private String name;
    /**
     * 性别
     */
    private String sex;
    /**
     * 描述
     */
    private String desc;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 分数
     */
    private Double score;
    /**
     * 身份证
     */
    private String idCard;
    /**
     * 年龄
     */
    private Integer age;
    /**
     * 地址
     */
    private String address;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 电话
     */
    private String phone;
    /**
     * 创建人
     */
    private Integer createBy;
    /**
     * 修改人
     */
    private Integer updateBy;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
}
