package com.muyu.req;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：qdm
 * @Package：com.muyu.req
 * @Project：cloud-etl-engine
 * @name：EngineVersionEditReq
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class EngineVersionEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 版本类名
     */
    private String versionClass;

    /**
     * 版本名称
     */
    private String name;

    /**
     * 版本编码
     */
    private String versionCode;

    /**
     * 是否激活
     */
    private String isActivate;

    /**
     * 版本状态
     */
    private Integer status;

    /**
     * 版本测试状态
     */
    private Integer testStatus;

    /**
     * 规则内容
     */
    private String ruleContent;

    /**
     * 引擎维护编号
     */
    private Long engineMaintenanceId;

    /**
     * 描述
     */
    private String description;
}
